Bug 203696 - Unknown symbols loading mptspi.ko & could not find filesystem '/dev/root'
Unknown symbols loading mptspi.ko & could not find filesystem '/dev/root'
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
ia64 Linux
medium Severity high
: ---
: ---
Assigned To: Prarit Bhargava
Brian Brock
: Reopened
: 203695 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-23 05:04 EDT by Fabio Bettoni
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-20 09:12:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Fabio Bettoni 2006-08-23 05:04:02 EDT
Description of problem:
Starting from kernel-2.6.17-1.2583.fc6 and maybe from kernel-2.6.17-1.257* the 
mptspi.ko is not load cause of Unknown symbols and also /dev/root filesystem 
is not found.


Version-Release number of selected component (if applicable):
kernel-2.6.17-1.2583.fc6

How reproducible:
Installing and bootstrapping kernel-2.6.17-1.2583.fc6

  
Actual results:
Loading mptbase.ko module
Fusion MPT base driver 3.04.01
Copyright (c) 1999-2005 LSI Logic Corporation
Loading scsi_mod.ko module
SCSI subsystem initialized
Loading sd_mod.ko module
Loading scsi_transport_spi.ko module
Loading mptspi.ko module
mptspi: Unknown symbol mptscsih_qcmd
mptspi: Unknown symbol mptscsih_bios_param
mptspi: Unknown symbol mptscsih_io_done
mptspi: Unknown symbol mptscsih_slave_configure
mptspi: Unknown symbol mptscsih_taskmgmt_complete
mptspi: Unknown symbol mptscsih_ioc_reset
mptspi: Unknown symbol mptscsih_remove
mptspi: Unknown symbol mptscsih_bus_reset
mptspi: Unknown symbol mptscsih_proc_info
mptspi: Unknown symbol mptscsih_host_reset
mptspi: Unknown symbol mptscsih_TMHandler
mptspi: Unknown symbol mptscsih_timer_expired
mptspi: Unknown symbol mptscsih_scandv_complete
mptspi: Unknown symbol mptscsih_resume
mptspi: Unknown symbol mptscsih_raid_id_to_num
mptspi: Unknown symbol mptscsih_event_process
mptspi: Unknown symbol mptscsih_suspend
mptspi: Unknown symbol mptscsih_slave_alloc
mptspi: Unknown symbol mptscsih_slave_destroy
mptspi: Unknown symbol mptscsih_change_queue_depth
mptspi: Unknown symbol mptscsih_target_alloc
mptspi: Unknown symbol mptscsih_shutdown
mptspi: Unknown symbol mptscsih_target_destroy
mptspi: Unknown symbol mptscsih_dev_reset
mptspi: Unknown symbol mptscsih_info
mptspi: Unknown symbol mptscsih_abort
insmod: error inserting '/lib/mptspi.ko': -1 Unknown symbol in module

... and later on ...

Loading jbd.ko module
kernel unaligned access to 0xa000000201b2c05f, ip=0xa00000010029c6b1
kernel unaligned access to 0xa000000201b2c067, ip=0xa00000010029c6b1
kernel unaligned access to 0xa000000201b2c06f, ip=0xa00000010029c6b1
kernel unaligned access to 0xa000000201b2c077, ip=0xa00000010029c6b1
kernel unaligned access to 0xa000000201b2c07f, ip=0xa00000010029c6b1
Loading ext3.ko module
Creating root device.
Mounting root filesystem.
mount: could not find filesystem '/dev/root'
Setting up other filesystems.
Setting up new root fs
setuproot: moving /dev failed: No such file or directory
no fstab.sys, mounting internal defaults
setuproot: error mounting /proc: No such filKernel panic - not syncing: 
Attempted to kill init!
e or directory


/etc/modprobe.conf for scsi stuff contains:
alias scsi_hostadapter mptbase
alias scsi_hostadapter1 mptspi
alias scsi_hostadapter1 mptspi
alias scsi_hostadapter2 sym53c8xx
install mptscsih /sbin/modprobe --ignore-install mptscsih
install mptspi /sbin/modprobe --ignore-install mptspi
Comment 1 Prarit Bhargava 2006-08-31 09:53:21 EDT
Works for me in latest builds...
Comment 2 Prarit Bhargava 2006-08-31 10:24:38 EDT
*** Bug 203695 has been marked as a duplicate of this bug. ***
Comment 3 Fabio Bettoni 2006-08-31 10:37:38 EDT
ELILO boot:
Uncompressing Linux... done
Loading file initrd-2.6.17-1.2600.fc6.img...done
Linux version 2.6.17-1.2600.fc6 (brewbuilder@ia64-1.build.redhat.com) (gcc 
version 4.1.1 20060828 (Red Hat 4.1.1-20)) #1 SMP Tue Aug 29 18:28:16 EDT 2006
EFI v1.10 by HP: SALsystab=0x3fe88000 ACPI 2.0=0x3fce2000 SMBIOS=0x3fe8a000 
HCDP=0x3fce0000
booting generic kernel on platform hpzx1
PCDP: v0 at 0x3fce0000
Early serial console at MMIO 0x84053000 (options '9600n8')
rsvd_region[0]: [0xe000000001000000, 0xe000000001000090)
rsvd_region[1]: [0xe000000004000000, 0xe000000004bc39d3)
rsvd_region[2]: [0xe0000040fed20010, 0xe0000040fed20060)
rsvd_region[3]: [0xe0000040fed23fc7, 0xe0000040fed24010)
rsvd_region[4]: [0xe0000040fed27000, 0xe0000040fef73fe8)
rsvd_region[5]: [0xe0000040fefe4010, 0xe0000040fefe4820)
rsvd_region[6]: [0xffffffffffffffff, 0xffffffffffffffff)
Initial ramdisk at: 0xe0000040fed27000 (2412520 bytes)
SAL 3.1: HP version 3.15
SAL Platform features: None
SAL: AP wakeup using external interrupt vector 0xff
No logical to physical processor mapping available
ACPI: Local APIC address c0000000fee00000
GSI 20 (level, low) -> CPU 0 (0x0000) vector 48
2 CPUs available, 2 CPUs total
MCA related initialization done
SMP: Allowing 2 CPUs, 0 hotplug CPUs
Built 1 zonelists.  Total pages: 259477
Kernel command line: BOOT_IMAGE=scsi2:\EFI\redhat\vmlinuz-2.6.17-1.2600.fc6  
root=LABEL=/1 ro
PID hash table entries: 4096 (order: 12, 32768 bytes)
Console: colour VGA+ 80x25
Memory: 4002624k/4151632k available (6283k code, 163472k reserved, 3671k data, 
416k init)
McKinley Errata 9 workaround not needed; disabling it
Security Framework v1.0.0 initialized
SELinux:  Initializing.
SELinux:  Starting in permissive mode
selinux_register_security:  Registering secondary module capability
Capability LSM initialized as secondary
Dentry cache hash table entries: 524288 (order: 8, 4194304 bytes)
Inode-cache hash table entries: 262144 (order: 7, 2097152 bytes)
Mount-cache hash table entries: 1024
ACPI: Core revision 20060707
Boot processor id 0x0/0x0
Fixed BSP b0 value from CPU 1
CPU 1: synchronized ITC with CPU 0 (last diff -2 cycles, maxerr 639 cycles)
Brought up 2 CPUs
Total of 2 processors activated (4784.12 BogoMIPS).
migration_cost=6018
checking if image is initramfs... it is
Freeing initrd memory: 2336kB freed
DMI 2.3 present.
NET: Registered protocol family 16
ACPI: bus type pci registered
ACPI: Interpreter enabled
ACPI: Using IOSAPIC for interrupt routing
ACPI: PCI Root Bridge [PCI0] (0000:00)
ACPI: PCI Root Bridge [PCI1] (0000:20)
ACPI: PCI Root Bridge [PCI2] (0000:40)
ACPI: PCI Root Bridge [PCI4] (0000:80)
ACPI: PCI Root Bridge [PCI5] (0000:a0)
ACPI: PCI Root Bridge [PCI6] (0000:c0)
Linux Plug and Play Support v0.97 (c) Adam Belay
pnp: PnP ACPI init
pnp: PnP ACPI: found 8 devices
usbcore: registered new driver usbfs
usbcore: registered new driver hub
IOC: zx1 2.3 HPA 0xfed01000 IOVA space 1024Mb at 0x40000000
NetLabel: Initializing
NetLabel:  domain hash size = 128
NetLabel:  protocols = UNLABELED CIPSOv4
NetLabel:  unlabeled traffic allowed by default
NET: Registered protocol family 2
IP route cache hash table entries: 131072 (order: 6, 1048576 bytes)
TCP established hash table entries: 524288 (order: 10, 16777216 bytes)
TCP bind hash table entries: 65536 (order: 7, 2097152 bytes)
TCP: Hash tables configured (established 524288 bind 65536)
TCP reno registered
perfmon: version 2.0 IRQ 238
perfmon: Itanium 2 PMU detected, 16 PMCs, 18 PMDs, 4 counters (47 bits)
PAL Information Facility v0.5
perfmon: added sampling format default_format
perfmon_default_smpl: default_format v2.0 registered
audit: initializing netlink socket (disabled)
audit(1157034856.248:1): initialized
Total HugeTLB memory allocated, 0
VFS: Disk quotas dquot_6.5.1
Dquot-cache hash table entries: 2048 (order 0, 16384 bytes)
SELinux:  Registering netfilter hooks
Initializing Cryptographic API
ksign: Installing public key data
Loading keyring
- Added public key E20F0BE8AF483C65
- User ID: Red Hat, Inc. (Kernel Module GPG key)
io scheduler noop registered
io scheduler anticipatory registered
io scheduler deadline registered
io scheduler cfq registered (default)
pci_hotplug: PCI Hot Plug PCI Core version: 0.5
ACPI: Thermal Zone [THM0] (27 C)
ACPI Exception (acpi_memory-0488): AE_ERROR, handle is no memory device 
[20060707]
ACPI Exception (acpi_memory-0488): AE_ERROR, handle is no memory device 
[20060707]
ACPI Exception (acpi_memory-0488): AE_ERROR, handle is no memory device 
[20060707]
ACPI Exception (acpi_memory-0488): AE_ERROR, handle is no memory device 
[20060707]
ACPI Exception (acpi_memory-0488): AE_ERROR, handle is no memory device 
[20060707]
ACPI Exception (acpi_memory-0488): AE_ERROR, handle is no memory device 
[20060707]
ACPI Exception (acpi_memory-0488): AE_ERROR, handle is no memory device 
[20060707]
ACPI Exception (acpi_memory-0488): AE_ERROR, handle is no memory device 
[20060707]
ACPI Exception (acpi_memory-0488): AE_ERROR, handle is no memory device 
[20060707]
ACPI Exception (acpi_memory-0488): AE_ERROR, handle is no memory device 
[20060707]
ACPI Exception (acpi_memory-0488): AE_ERROR, handle is no memory device 
[20060707]
ACPI Exception (acpi_memory-0488): AE_ERROR, handle is no memory device 
[20060707]
ACPI Exception (acpi_memory-0488): AE_ERROR, handle is no memory device 
[20060707]
ACPI Exception (acpi_memory-0488): AE_ERROR, handle is no memory device 
[20060707]
ACPI Exception (acpi_memory-0488): AE_ERROR, handle is no memory device 
[20060707]
ACPI Exception (acpi_memory-0488): AE_ERROR, handle is no memory device 
[20060707]
ACPI Exception (acpi_memory-0488): AE_ERROR, handle is no memory device 
[20060707]
ACPI Exception (acpi_memory-0488): AE_ERROR, handle is no memory device 
[20060707]
ACPI Exception (acpi_memory-0488): AE_ERROR, handle is no memory device 
[20060707]
ACPI Exception (acpi_memory-0488): AE_ERROR, handle is no memory device 
[20060707]
ACPI Exception (acpi_memory-0488): AE_ERROR, handle is no memory device 
[20060707]
ACPI Exception (acpi_memory-0488): AE_ERROR, handle is no memory device 
[20060707]
ACPI Exception (acpi_memory-0488): AE_ERROR, handle is no memory device 
[20060707]
ACPI Exception (acpi_memory-0488): AE_ERROR, handle is no memory device 
[20060707]
ACPI Exception (acpi_memory-0488): AE_ERROR, handle is no memory device 
[20060707]
ACPI Exception (acpi_memory-0488): AE_ERROR, handle is no memory device 
[20060707]
ACPI Exception (acpi_memory-0488): AE_ERROR, handle is no memory device 
[20060707]
ACPI Exception (acpi_memory-0488): AE_ERROR, handle is no memory device 
[20060707]
ACPI Exception (acpi_memory-0488): AE_ERROR, handle is no memory device 
[20060707]
ACPI Exception (acpi_memory-0488): AE_ERROR, handle is no memory device 
[20060707]
ACPI Exception (acpi_memory-0488): AE_ERROR, handle is no memory device 
[20060707]
ACPI Exception (acpi_memory-0488): AE_ERROR, handle is no memory device 
[20060707]
ACPI Exception (acpi_memory-0488): AE_ERROR, handle is no memory device 
[20060707]
ACPI Exception (acpi_memory-0488): AE_ERROR, handle is no memory device 
[20060707]
ACPI Exception (acpi_memory-0488): AE_ERROR, handle is no memory device 
[20060707]
ACPI Exception (acpi_memory-0488): AE_ERROR, handle is no memory device 
[20060707]
ACPI Exception (acpi_memory-0488): AE_ERROR, handle is no memory device 
[20060707]
ACPI Exception (acpi_memory-0488): AE_ERROR, handle is no memory device 
[20060707]
ACPI Exception (acpi_memory-0488): AE_ERROR, handle is no memory device 
[20060707]
ACPI Exception (acpi_memory-0488): AE_ERROR, handle is no memory device 
[20060707]
ACPI Exception (acpi_memory-0488): AE_ERROR, handle is no memory device 
[20060707]
ACPI Exception (acpi_memory-0488): AE_ERROR, handle is no memory device 
[20060707]
ACPI Exception (acpi_memory-0488): AE_ERROR, handle is no memory device 
[20060707]
ACPI Exception (acpi_memory-0488): AE_ERROR, handle is no memory device 
[20060707]
ACPI Exception (acpi_memory-0488): AE_ERROR, handle is no memory device 
[20060707]
ACPI Exception (acpi_memory-0488): AE_ERROR, handle is no memory device 
[20060707]
ACPI Exception (acpi_memory-0488): AE_ERROR, handle is no memory device 
[20060707]
ACPI Exception (acpi_memory-0488): AE_ERROR, handle is no memory device 
[20060707]
ACPI Exception (acpi_memory-0488): AE_ERROR, handle is no memory device 
[20060707]
ACPI Exception (acpi_memory-0488): AE_ERROR, handle is no memory device 
[20060707]
ACPI Exception (acpi_memory-0488): AE_ERROR, handle is no memory device 
[20060707]
ACPI Exception (acpi_memory-0488): AE_ERROR, handle is no memory device 
[20060707]
ACPI Exception (acpi_memory-0488): AE_ERROR, handle is no memory device 
[20060707]
ACPI Exception (acpi_memory-0488): AE_ERROR, handle is no memory device 
[20060707]
ACPI Exception (acpi_memory-0488): AE_ERROR, handle is no memory device 
[20060707]
ACPI Exception (acpi_memory-0488): AE_ERROR, handle is no memory device 
[20060707]
ACPI Exception (acpi_memory-0488): AE_ERROR, handle is no memory device 
[20060707]
ACPI Exception (acpi_memory-0488): AE_ERROR, handle is no memory device 
[20060707]
ACPI Exception (acpi_memory-0488): AE_ERROR, handle is no memory device 
[20060707]
ACPI Exception (acpi_memory-0488): AE_ERROR, handle is no memory device 
[20060707]
ACPI Exception (acpi_memory-0488): AE_ERROR, handle is no memory device 
[20060707]
ACPI Exception (acpi_memory-0488): AE_ERROR, handle is no memory device 
[20060707]
ACPI Exception (acpi_memory-0488): AE_ERROR, handle is no memory device 
[20060707]
ACPI Exception (acpi_memory-0488): AE_ERROR, handle is no memory device 
[20060707]
ACPI Exception (acpi_memory-0488): AE_ERROR, handle is no memory device 
[20060707]
ACPI Exception (acpi_memory-0488): AE_ERROR, handle is no memory device 
[20060707]
ACPI Exception (acpi_memory-0488): AE_ERROR, handle is no memory device 
[20060707]
ACPI Exception (acpi_memory-0488): AE_ERROR, handle is no memory device 
[20060707]
ACPI Exception (acpi_memory-0488): AE_ERROR, handle is no memory device 
[20060707]
ACPI Exception (acpi_memory-0488): AE_ERROR, handle is no memory device 
[20060707]
ACPI Exception (acpi_memory-0488): AE_ERROR, handle is no memory device 
[20060707]
ACPI Exception (acpi_memory-0488): AE_ERROR, handle is no memory device 
[20060707]
ACPI Exception (acpi_memory-0488): AE_ERROR, handle is no memory device 
[20060707]
ACPI Exception (acpi_memory-0488): AE_ERROR, handle is no memory device 
[20060707]
ACPI Exception (acpi_memory-0488): AE_ERROR, handle is no memory device 
[20060707]
ACPI Exception (acpi_memory-0488): AE_ERROR, handle is no memory device 
[20060707]
ACPI Exception (acpi_memory-0488): AE_ERROR, handle is no memory device 
[20060707]
ACPI Exception (acpi_memory-0488): AE_ERROR, handle is no memory device 
[20060707]
ACPI Exception (acpi_memory-0488): AE_ERROR, handle is no memory device 
[20060707]
ACPI Exception (acpi_memory-0488): AE_ERROR, handle is no memory device 
[20060707]
ACPI Exception (acpi_memory-0488): AE_ERROR, handle is no memory device 
[20060707]
ACPI Exception (acpi_memory-0488): AE_ERROR, handle is no memory device 
[20060707]
ACPI Exception (acpi_memory-0488): AE_ERROR, handle is no memory device 
[20060707]
EFI Time Services Driver v0.4
Linux agpgart interface v0.101 (c) Dave Jones
Serial: 8250/16550 driver $Revision: 1.90 $ 16 ports, IRQ sharing enabled
GSI 16 (level, low) -> CPU 1 (0x0100) vector 49
ACPI: PCI Interrupt 0000:00:01.0[A] -> GSI 16 (level, low) -> IRQ 49
0000:00:01.0: ttyS0 at MMIO 0x84054000 (irq = 49) is a 16450
ACPI: PCI Interrupt 0000:00:01.1[A] -> GSI 16 (level, low) -> IRQ 49
0000:00:01.1: ttyS1 at MMIO 0x84053000 (irq = 49) is a 16550A
0000:00:01.1: ttyS2 at MMIO 0x84053010 (irq = 49) is a 16550A
0000:00:01.1: ttyS3 at MMIO 0x84053038 (irq = 49) is a 16550A
RAMDISK driver initialized: 16 RAM disks of 16384K size 4096 blocksize
Uniform Multi-Platform E-IDE driver Revision: 7.00alpha2
ide: Assuming 33MHz system bus speed for PIO modes; override with idebus=xx
CMD649: IDE controller at PCI slot 0000:00:03.0
GSI 21 (level, low) -> CPU 0 (0x0000) vector 50
ACPI: PCI Interrupt 0000:00:03.0[A] -> GSI 21 (level, low) -> IRQ 50
CMD649: chipset revision 2
CMD649: 100% native mode on irq 50
    ide0: BM-DMA at 0x0e00-0x0e07, BIOS settings: hda:pio, hdb:pio
    ide1: BM-DMA at 0x0e08-0x0e0f, BIOS settings: hdc:pio, hdd:pio
hda: HL-DT-ST DVD+RW GCA-4040N, ATAPI CD/DVD-ROM drive
ide0 at 0xe18-0xe1f,0xe26 on irq 50
ide-floppy driver 0.99.newide
usbcore: registered new driver libusual
usbcore: registered new driver hiddev
usbcore: registered new driver usbhid
drivers/usb/input/hid-core.c: v2.6:USB HID core driver
mice: PS/2 mouse device common for all mice
md: md driver 0.90.3 MAX_MD_DEVS=256, MD_SB_DISKS=27
md: bitmap version 4.39
EFI Variables Facility v0.08 2004-May-17
TCP bic registered
Initializing IPsec netlink socket
NET: Registered protocol family 1
NET: Registered protocol family 17
Adding console on ttyS1 at MMIO 0x84053000 (options '9600n8')
Freeing unused kernel memory: 416kB freed
Red Hat nash version 5.1.9 starting
Mounting proc filesystem
Mounting sysfs filesystem
Creating /dev
Creating initial device nodes
Setting up hotplug.
Creating block device nodes.
Loading uhci-hcd.ko module
kernel unaligned access to 0xa00000020192405f, ip=0xa0000001002a5071
kernel unaligned access to 0xa000000201924067, ip=0xa0000001002a5071
kernel unaligned access to 0xa00000020192406f, ip=0xa0000001002a5071
kernel unaligned access to 0xa000000201924077, ip=0xa0000001002a5071
kernel unaligned access to 0xa00000020192407f, ip=0xa0000001002a5071
USB Universal Host Controller Interface driver v3.0
Loading ohci-hcd.ko module
GSI 17 (level, low) -> CPU 1 (0x0100) vector 51
ACPI: PCI Interrupt 0000:00:02.0[A] -> GSI 17 (level, low) -> IRQ 51
ohci_hcd 0000:00:02.0: OHCI Host Controller
ohci_hcd 0000:00:02.0: new USB bus registered, assigned bus number 1
ohci_hcd 0000:00:02.0: irq 51, io mem 0x84052000
usb usb1: configuration #1 chosen from 1 choice
hub 1-0:1.0: USB hub found
hub 1-0:1.0: 3 ports detected
GSI 18 (level, low) -> CPU 0 (0x0000) vector 52
ACPI: PCI Interrupt 0000:00:02.1[B] -> GSI 18 (level, low) -> IRQ 52
ohci_hcd 0000:00:02.1: OHCI Host Controller
ohci_hcd 0000:00:02.1: new USB bus registered, assigned bus number 2
ohci_hcd 0000:00:02.1: irq 52, io mem 0x84051000
usb usb2: configuration #1 chosen from 1 choice
hub 2-0:1.0: USB hub found
hub 2-0:1.0: 2 ports detected
Loading ehci-hcd.ko module
GSI 23 (level, low) -> CPU 1 (0x0100) vector 53
ACPI: PCI Interrupt 0000:00:02.2[C] -> GSI 23 (level, low) -> IRQ 53
ehci_hcd 0000:00:02.2: EHCI Host Controller
ehci_hcd 0000:00:02.2: new USB bus registered, assigned bus number 3
ehci_hcd 0000:00:02.2: irq 53, io mem 0x84050000
ehci_hcd 0000:00:02.2: USB 2.0 started, EHCI 0.95, driver 10 Dec 2004
usb usb3: configuration #1 chosen from 1 choice
hub 3-0:1.0: USB hub found
hub 3-0:1.0: 5 ports detected
Loading mptbase.ko module
Fusion MPT base driver 3.04.01
Copyright (c) 1999-2005 LSI Logic Corporation
Loading scsi_mod.ko module
SCSI subsystem initialized
Loading sd_mod.ko module
Loading scsi_transport_spi.ko module
Loading mptspi.ko module
mptspi: Unknown symbol mptscsih_qcmd
mptspi: Unknown symbol mptscsih_bios_param
mptspi: Unknown symbol mptscsih_io_done
mptspi: Unknown symbol mptscsih_slave_configure
mptspi: Unknown symbol mptscsih_taskmgmt_complete
mptspi: Unknown symbol mptscsih_ioc_reset
mptspi: Unknown symbol mptscsih_remove
mptspi: Unknown symbol mptscsih_bus_reset
mptspi: Unknown symbol mptscsih_proc_info
mptspi: Unknown symbol mptscsih_host_reset
mptspi: Unknown symbol mptscsih_TMHandler
mptspi: Unknown symbol mptscsih_timer_expired
mptspi: Unknown symbol mptscsih_scandv_complete
mptspi: Unknown symbol mptscsih_resume
mptspi: Unknown symbol mptscsih_raid_id_to_num
mptspi: Unknown symbol mptscsih_event_process
mptspi: Unknown symbol mptscsih_suspend
mptspi: Unknown symbol mptscsih_slave_alloc
mptspi: Unknown symbol mptscsih_slave_destroy
mptspi: Unknown symbol mptscsih_change_queue_depth
mptspi: Unknown symbol mptscsih_target_alloc
mptspi: Unknown symbol mptscsih_shutdown
mptspi: Unknown symbol mptscsih_target_destroy
mptspi: Unknown symbol mptscsih_dev_reset
mptspi: Unknown symbol mptscsih_info
mptspi: Unknown symbol mptscsih_abort
insmod: error inserting '/lib/mptspi.ko': -1 Unknown symbol in module
Loading sym53c8xx.ko module
GSI 71 (level, low) -> CPU 0 (0x0000) vector 54
ACPI: PCI Interrupt 0000:c0:01.0[A] -> GSI 71 (level, low) -> IRQ 54
ohci_hcd 0000:00:02.1: wakeup
sym0: <1010-66> rev 0x1 at pci 0000:c0:01.0 irq 54
sym0: Symbios NVRAM, ID 7, Fast-80, LVD, parity checking
sym0: open drain IRQ line driver, using on-chip SRAM
sym0: using LOAD/STORE-based firmware.
sym0: handling phase mismatch from SCRIPTS.
sym0: SCSI BUS has been reset.
scsi0 : sym-2.2.3
usb 2-1: new low speed USB device using ohci_hcd and address 2
usb 2-1: configuration #1 chosen from 1 choice
input: P.I. Engineering PC Keyboard/Mouse to USB  Adapter 
as /class/input/input0
input: USB HID v1.00 Keyboard [P.I. Engineering PC Keyboard/Mouse to USB  
Adapter] on usb-0000:00:02.1-1
input: P.I. Engineering PC Keyboard/Mouse to USB  Adapter 
as /class/input/input1
input: USB HID v1.00 Mouse [P.I. Engineering PC Keyboard/Mouse to USB  
Adapter] on usb-0000:00:02.1-1
 target0:0:0: FAST-40 WIDE SCSI 80.0 MB/s ST (25 ns, offset 31)
  Vendor: COMPAQ    Model: BF07285A36        Rev: HPB6
  Type:   Direct-Access                      ANSI SCSI revision: 03
 target0:0:0: tagged command queuing enabled, command queue depth 16.
 target0:0:0: Beginning Domain Validation
 target0:0:0: asynchronous
 target0:0:0: wide asynchronous
 target0:0:0: FAST-80 WIDE SCSI 160.0 MB/s DT (12.5 ns, offset 62)
 target0:0:0: FAST-80 WIDE SCSI 160.0 MB/s DT (12.5 ns, offset 62)
 target0:0:0: Ending Domain Validation
SCSI device sda: 142264000 512-byte hdwr sectors (72839 MB)
sda: Write Protect is off
SCSI device sda: drive cache: write through w/ FUA
SCSI device sda: 142264000 512-byte hdwr sectors (72839 MB)
sda: Write Protect is off
SCSI device sda: drive cache: write through w/ FUA
 sda: unknown partition table
sd 0:0:0:0: Attached scsi disk sda
  Vendor: COMPAQ    Model: BF072863BA        Rev: HPB4
  Type:   Direct-Access                      ANSI SCSI revision: 03
 target0:0:1: tagged command queuing enabled, command queue depth 16.
 target0:0:1: Beginning Domain Validation
 target0:0:1: asynchronous
 target0:0:1: wide asynchronous
 target0:0:1: FAST-80 WIDE SCSI 160.0 MB/s DT (12.5 ns, offset 31)
 target0:0:1: FAST-80 WIDE SCSI 160.0 MB/s DT (12.5 ns, offset 31)
 target0:0:1: Ending Domain Validation
SCSI device sdb: 142264000 512-byte hdwr sectors (72839 MB)
sdb: Write Protect is off
SCSI device sdb: drive cache: write through w/ FUA
SCSI device sdb: 142264000 512-byte hdwr sectors (72839 MB)
sdb: Write Protect is off
SCSI device sdb: drive cache: write through w/ FUA
 sdb: unknown partition table
sd 0:0:1:0: Attached scsi disk sdb
  Vendor: COMPAQ    Model: BF072863BA        Rev: HPB4
  Type:   Direct-Access                      ANSI SCSI revision: 03
 target0:0:2: tagged command queuing enabled, command queue depth 16.
 target0:0:2: Beginning Domain Validation
 target0:0:2: asynchronous
 target0:0:2: wide asynchronous
 target0:0:2: FAST-80 WIDE SCSI 160.0 MB/s DT (12.5 ns, offset 31)
 target0:0:2: FAST-80 WIDE SCSI 160.0 MB/s DT (12.5 ns, offset 31)
 target0:0:2: Ending Domain Validation
SCSI device sdc: 142264000 512-byte hdwr sectors (72839 MB)
sdc: Write Protect is off
SCSI device sdc: drive cache: write through w/ FUA
SCSI device sdc: 142264000 512-byte hdwr sectors (72839 MB)
sdc: Write Protect is off
SCSI device sdc: drive cache: write through w/ FUA
 sdc: unknown partition table
sd 0:0:2:0: Attached scsi disk sdc
  Vendor: COMPAQ    Model: BF072863BA        Rev: HPB4
  Type:   Direct-Access                      ANSI SCSI revision: 03
 target0:0:3: tagged command queuing enabled, command queue depth 16.
 target0:0:3: Beginning Domain Validation
 target0:0:3: asynchronous
 target0:0:3: wide asynchronous
 target0:0:3: FAST-80 WIDE SCSI 160.0 MB/s DT (12.5 ns, offset 31)
 target0:0:3: FAST-80 WIDE SCSI 160.0 MB/s DT (12.5 ns, offset 31)
 target0:0:3: Ending Domain Validation
SCSI device sdd: 142264000 512-byte hdwr sectors (72839 MB)
sdd: Write Protect is off
SCSI device sdd: drive cache: write through w/ FUA
SCSI device sdd: 142264000 512-byte hdwr sectors (72839 MB)
sdd: Write Protect is off
SCSI device sdd: drive cache: write through w/ FUA
 sdd: unknown partition table
sd 0:0:3:0: Attached scsi disk sdd
  Vendor: COMPAQ    Model: PROLIANT 7L7E*DB  Rev: 2.30
  Type:   Processor                          ANSI SCSI revision: 02
 target0:0:15: Beginning Domain Validation
scsi 0:0:15:0: phase change 6-7 6@40028fa0 resid=4.
 target0:0:15: asynchronous
 target0:0:15: Ending Domain Validation
Loading jbd.ko module
kernel unaligned access to 0xa000000201b2c05f, ip=0xa0000001002a5071
kernel unaligned access to 0xa000000201b2c067, ip=0xa0000001002a5071
kernel unaligned access to 0xa000000201b2c06f, ip=0xa0000001002a5071
kernel unaligned access to 0xa000000201b2c077, ip=0xa0000001002a5071
kernel unaligned access to 0xa000000201b2c07f, ip=0xa0000001002a5071
Loading ext3.ko module
Creating root device.
Mounting root filesystem.
mount: could not find filesystem '/dev/root'
Setting up other filesystems.
Setting up new root fs
setuproot: moving /dev failed: No such file or directory
no fstab.sys, mounting internal defaults
setuproot: error mounting /proc:Kernel panic - not syncing: Attempted to kill 
init!
  No such file or directory
setuproot: error mounting /sys: No such file or directory
Switching to new root and running init.
unmounting old /dev
unmounting old /proc
unmounting old /sys
switchroot: mount failed: No such file or directory
Comment 4 David Lawrence 2006-09-05 11:19:38 EDT
Reassigning to correct owner, kernel-maint.
Comment 5 Prarit Bhargava 2006-09-20 07:57:50 EDT
Fabio,

I've tried this on several machines with the latest 20060919 build and cannot
get this to reproduce (I've confirmed I have an MPT Fusion card in the box)...

Could you retry one of the newer kernels and let me know if you're still having
problems?

P.
Comment 6 Fabio Bettoni 2006-09-20 08:36:29 EDT
It does not work, also for newest kernel.

Before attaching new bootlog, I think problem is on modprobe.conf I modified 
time ago to solve bug #161420. The modprobe.conf is earlier in this bug.
Is it possible installing new kernels changed modprobe.conf automatically. It 
seems different from solution in #161420 message #13.


ELILO boot: 2.6.17-1.2647.fc6
Uncompressing Linux... done
Loading file initrd-2.6.17-1.2647.fc6.img...done
Linux version 2.6.17-1.2647.fc6 (brewbuilder@ia64-1.build.redhat.com) (gcc 
version 4.1.1 20060828 (Red Hat 4.1.1-20)) #1 SMP Wed Sep 13 12:52:23 EDT 2006
EFI v1.10 by HP: SALsystab=0x3fe88000 ACPI 2.0=0x3fce2000 SMBIOS=0x3fe8a000 
HCDP=0x3fce0000
booting generic kernel on platform hpzx1
PCDP: v0 at 0x3fce0000
Early serial console at MMIO 0x84053000 (options '9600n8')
rsvd_region[0]: [0xe000000001000000, 0xe000000001000090)
rsvd_region[1]: [0xe000000004000000, 0xe000000004bd3c4b)
rsvd_region[2]: [0xe0000040fecfc010, 0xe0000040fecfc060)
rsvd_region[3]: [0xe0000040fecfffc7, 0xe0000040fed00010)
rsvd_region[4]: [0xe0000040fed02000, 0xe0000040fef6fa3f)
rsvd_region[5]: [0xe0000040fefe4010, 0xe0000040fefe47c0)
rsvd_region[6]: [0xffffffffffffffff, 0xffffffffffffffff)
Initial ramdisk at: 0xe0000040fed02000 (2546239 bytes)
SAL 3.1: HP version 3.15
SAL Platform features: None
SAL: AP wakeup using external interrupt vector 0xff
No logical to physical processor mapping available
ACPI: Local APIC address c0000000fee00000
GSI 20 (level, low) -> CPU 0 (0x0000) vector 48
2 CPUs available, 2 CPUs total
MCA related initialization done
SMP: Allowing 2 CPUs, 0 hotplug CPUs
Built 1 zonelists.  Total pages: 259465
Kernel command line: BOOT_IMAGE=scsi2:\EFI\redhat\vmlinuz-2.6.17-1.2647.fc6  
root=LABEL=/1 ro
PID hash table entries: 4096 (order: 12, 32768 bytes)
Console: colour VGA+ 80x25
Memory: 4002432k/4151440k available (6314k code, 163664k reserved, 3706k data, 
416k init)
McKinley Errata 9 workaround not needed; disabling it
Security Framework v1.0.0 initialized
SELinux:  Initializing.
SELinux:  Starting in permissive mode
selinux_register_security:  Registering secondary module capability
Capability LSM initialized as secondary
Dentry cache hash table entries: 524288 (order: 8, 4194304 bytes)
Inode-cache hash table entries: 262144 (order: 7, 2097152 bytes)
Mount-cache hash table entries: 1024
ACPI: Core revision 20060707
Boot processor id 0x0/0x0
Fixed BSP b0 value from CPU 1
CPU 1: synchronized ITC with CPU 0 (last diff -41 cycles, maxerr 719 cycles)
Brought up 2 CPUs
Total of 2 processors activated (4784.12 BogoMIPS).
migration_cost=6060
checking if image is initramfs... it is
Freeing initrd memory: 2464kB freed
DMI 2.3 present.
NET: Registered protocol family 16
ACPI: bus type pci registered
ACPI: Interpreter enabled
ACPI: Using IOSAPIC for interrupt routing
ACPI: PCI Root Bridge [PCI0] (0000:00)
ACPI: PCI Root Bridge [PCI1] (0000:20)
ACPI: PCI Root Bridge [PCI2] (0000:40)
ACPI: PCI Root Bridge [PCI4] (0000:80)
ACPI: PCI Root Bridge [PCI5] (0000:a0)
ACPI: PCI Root Bridge [PCI6] (0000:c0)
Linux Plug and Play Support v0.97 (c) Adam Belay
pnp: PnP ACPI init
pnp: PnP ACPI: found 8 devices
usbcore: registered new driver usbfs
usbcore: registered new driver hub
IOC: zx1 2.3 HPA 0xfed01000 IOVA space 1024Mb at 0x40000000
NetLabel: Initializing
NetLabel:  domain hash size = 128
NetLabel:  protocols = UNLABELED CIPSOv4
NetLabel:  unlabeled traffic allowed by default
NET: Registered protocol family 2
IP route cache hash table entries: 131072 (order: 6, 1048576 bytes)
TCP established hash table entries: 524288 (order: 10, 16777216 bytes)
TCP bind hash table entries: 65536 (order: 7, 2097152 bytes)
TCP: Hash tables configured (established 524288 bind 65536)
TCP reno registered
perfmon: version 2.0 IRQ 238
perfmon: Itanium 2 PMU detected, 16 PMCs, 18 PMDs, 4 counters (47 bits)
PAL Information Facility v0.5
perfmon: added sampling format default_format
perfmon_default_smpl: default_format v2.0 registered
audit: initializing netlink socket (disabled)
audit(1158754687.372:1): initialized
Total HugeTLB memory allocated, 0
VFS: Disk quotas dquot_6.5.1
Dquot-cache hash table entries: 2048 (order 0, 16384 bytes)
SELinux:  Registering netfilter hooks
Initializing Cryptographic API
ksign: Installing public key data
Loading keyring
- Added public key D76D1BA4866FDA85
- User ID: Red Hat, Inc. (Kernel Module GPG key)
io scheduler noop registered
io scheduler anticipatory registered
io scheduler deadline registered
io scheduler cfq registered (default)
pci_hotplug: PCI Hot Plug PCI Core version: 0.5
ACPI: Thermal Zone [THM0] (27 C)
EFI Time Services Driver v0.4
Linux agpgart interface v0.101 (c) Dave Jones
Serial: 8250/16550 driver $Revision: 1.90 $ 16 ports, IRQ sharing enabled
GSI 16 (level, low) -> CPU 1 (0x0100) vector 49
ACPI: PCI Interrupt 0000:00:01.0[A] -> GSI 16 (level, low) -> IRQ 49
0000:00:01.0: ttyS0 at MMIO 0x84054000 (irq = 49) is a 16550A
ACPI: PCI Interrupt 0000:00:01.1[A] -> GSI 16 (level, low) -> IRQ 49
0000:00:01.1: ttyS1 at MMIO 0x84053000 (irq = 49) is a 16550A
0000:00:01.1: ttyS2 at MMIO 0x84053010 (irq = 49) is a 16550A
0000:00:01.1: ttyS3 at MMIO 0x84053038 (irq = 49) is a 16550A
RAMDISK driver initialized: 16 RAM disks of 16384K size 4096 blocksize
Uniform Multi-Platform E-IDE driver Revision: 7.00alpha2
ide: Assuming 33MHz system bus speed for PIO modes; override with idebus=xx
CMD649: IDE controller at PCI slot 0000:00:03.0
GSI 21 (level, low) -> CPU 0 (0x0000) vector 50
ACPI: PCI Interrupt 0000:00:03.0[A] -> GSI 21 (level, low) -> IRQ 50
CMD649: chipset revision 2
CMD649: 100% native mode on irq 50
    ide0: BM-DMA at 0x0e00-0x0e07, BIOS settings: hda:pio, hdb:pio
    ide1: BM-DMA at 0x0e08-0x0e0f, BIOS settings: hdc:pio, hdd:pio
hda: HL-DT-ST DVD+RW GCA-4040N, ATAPI CD/DVD-ROM drive
ide0 at 0xe18-0xe1f,0xe26 on irq 50
ide-floppy driver 0.99.newide
usbcore: registered new driver libusual
usbcore: registered new driver hiddev
usbcore: registered new driver usbhid
drivers/usb/input/hid-core.c: v2.6:USB HID core driver
mice: PS/2 mouse device common for all mice
md: md driver 0.90.3 MAX_MD_DEVS=256, MD_SB_DISKS=27
md: bitmap version 4.39
EFI Variables Facility v0.08 2004-May-17
TCP bic registered
Initializing IPsec netlink socket
NET: Registered protocol family 1
NET: Registered protocol family 17
Adding console on ttyS1 at MMIO 0x84053000 (options '9600n8')
Freeing unused kernel memory: 416kB freed
Red Hat nash version 5.1.15 starting
Mounting proc filesystem
Mounting sysfs filesystem
Creating /dev
Creating initial device nodes
Setting up hotplug.
Creating block device nodes.
Loading uhci-hcd.ko module
kernel unaligned access to 0xa00000020192405f, ip=0xa0000001002a56b1
kernel unaligned access to 0xa000000201924067, ip=0xa0000001002a56b1
kernel unaligned access to 0xa00000020192406f, ip=0xa0000001002a56b1
kernel unaligned access to 0xa000000201924077, ip=0xa0000001002a56b1
kernel unaligned access to 0xa00000020192407f, ip=0xa0000001002a56b1
USB Universal Host Controller Interface driver v3.0
Loading ohci-hcd.ko module
GSI 17 (level, low) -> CPU 1 (0x0100) vector 51
ACPI: PCI Interrupt 0000:00:02.0[A] -> GSI 17 (level, low) -> IRQ 51
ohci_hcd 0000:00:02.0: OHCI Host Controller
ohci_hcd 0000:00:02.0: new USB bus registered, assigned bus number 1
ohci_hcd 0000:00:02.0: irq 51, io mem 0x84052000
usb usb1: configuration #1 chosen from 1 choice
hub 1-0:1.0: USB hub found
hub 1-0:1.0: 3 ports detected
GSI 18 (level, low) -> CPU 0 (0x0000) vector 52
ACPI: PCI Interrupt 0000:00:02.1[B] -> GSI 18 (level, low) -> IRQ 52
ohci_hcd 0000:00:02.1: OHCI Host Controller
ohci_hcd 0000:00:02.1: new USB bus registered, assigned bus number 2
ohci_hcd 0000:00:02.1: irq 52, io mem 0x84051000
usb usb2: configuration #1 chosen from 1 choice
hub 2-0:1.0: USB hub found
hub 2-0:1.0: 2 ports detected
Loading ehci-hcd.ko module
GSI 23 (level, low) -> CPU 1 (0x0100) vector 53
ACPI: PCI Interrupt 0000:00:02.2[C] -> GSI 23 (level, low) -> IRQ 53
ehci_hcd 0000:00:02.2: EHCI Host Controller
ehci_hcd 0000:00:02.2: new USB bus registered, assigned bus number 3
ehci_hcd 0000:00:02.2: irq 53, io mem 0x84050000
ehci_hcd 0000:00:02.2: USB 2.0 started, EHCI 0.95, driver 10 Dec 2004
usb usb3: configuration #1 chosen from 1 choice
hub 3-0:1.0: USB hub found
hub 3-0:1.0: 5 ports detected
Loading jbd.ko module
Loading ext3.ko module
Loading scsi_mod.ko module
SCSI subsystem initialized
Loading sd_mod.ko module
Loading scsi_transport_spi.ko module
Loading mptbase.ko module
Fusion MPT base driver 3.04.01
Copyright (c) 1999-2005 LSI Logic Corporation
Loading mptspi.ko module
mptspi: Unknown symbol mptscsih_qcmd
mptspi: Unknown symbol mptscsih_bios_param
mptspi: Unknown symbol mptscsih_io_done
mptspi: Unknown symbol mptscsih_slave_configure
mptspi: Unknown symbol mptscsih_taskmgmt_complete
mptspi: Unknown symbol mptscsih_ioc_reset
mptspi: Unknown symbol mptscsih_remove
mptspi: Unknown symbol mptscsih_bus_reset
mptspi: Unknown symbol mptscsih_proc_info
mptspi: Unknown symbol mptscsih_host_reset
mptspi: Unknown symbol mptscsih_TMHandler
mptspi: Unknown symbol mptscsih_timer_expired
mptspi: Unknown symbol mptscsih_scandv_complete
mptspi: Unknown symbol mptscsih_resume
mptspi: Unknown symbol mptscsih_raid_id_to_num
mptspi: Unknown symbol mptscsih_event_process
mptspi: Unknown symbol mptscsih_suspend
mptspi: Unknown symbol mptscsih_slave_alloc
mptspi: Unknown symbol mptscsih_slave_destroy
mptspi: Unknown symbol mptscsih_change_queue_depth
mptspi: Unknown symbol mptscsih_target_alloc
mptspi: Unknown symbol mptscsih_shutdown
mptspi: Unknown symbol mptscsih_target_destroy
mptspi: Unknown symbol mptscsih_dev_reset
mptspi: Unknown symbol mptscsih_info
mptspi: Unknown symbol mptscsih_abort
ohci_hcd 0000:00:02.1: wakeup
insmod: error inserting '/lib/mptspi.ko': -1 Unknown symbol in module
Loading sym53c8xx.ko module
GSI 71 (level, low) -> CPU 0 (0x0000) vector 54
ACPI: PCI Interrupt 0000:c0:01.0[A] -> GSI 71 (level, low) -> IRQ 54
sym0: <1010-66> rev 0x1 at pci 0000:c0:01.0 irq 54
sym0: Symbios NVRAM, ID 7, Fast-80, LVD, parity checking
sym0: open drain IRQ line driver, using on-chip SRAM
sym0: using LOAD/STORE-based firmware.
sym0: handling phase mismatch from SCRIPTS.
sym0: SCSI BUS has been reset.
scsi0 : sym-2.2.3
usb 2-1: new low speed USB device using ohci_hcd and address 2
usb 2-1: configuration #1 chosen from 1 choice
input: P.I. Engineering PC Keyboard/Mouse to USB  Adapter as /class/input/input0
input: USB HID v1.00 Keyboard [P.I. Engineering PC Keyboard/Mouse to USB  
Adapter] on usb-0000:00:02.1-1
input: P.I. Engineering PC Keyboard/Mouse to USB  Adapter as /class/input/input1
input: USB HID v1.00 Mouse [P.I. Engineering PC Keyboard/Mouse to USB  Adapter] 
on usb-0000:00:02.1-1
 target0:0:0: FAST-40 WIDE SCSI 80.0 MB/s ST (25 ns, offset 31)
  Vendor: COMPAQ    Model: BF07285A36        Rev: HPB6
  Type:   Direct-Access                      ANSI SCSI revision: 03
 target0:0:0: tagged command queuing enabled, command queue depth 16.
 target0:0:0: Beginning Domain Validation
 target0:0:0: asynchronous
 target0:0:0: wide asynchronous
 target0:0:0: FAST-80 WIDE SCSI 160.0 MB/s DT (12.5 ns, offset 62)
 target0:0:0: FAST-80 WIDE SCSI 160.0 MB/s DT (12.5 ns, offset 62)
 target0:0:0: Ending Domain Validation
SCSI device sda: 142264000 512-byte hdwr sectors (72839 MB)
sda: Write Protect is off
SCSI device sda: drive cache: write through w/ FUA
SCSI device sda: 142264000 512-byte hdwr sectors (72839 MB)
sda: Write Protect is off
SCSI device sda: drive cache: write through w/ FUA
 sda: unknown partition table
sd 0:0:0:0: Attached scsi disk sda
  Vendor: COMPAQ    Model: BF072863BA        Rev: HPB4
  Type:   Direct-Access                      ANSI SCSI revision: 03
 target0:0:1: tagged command queuing enabled, command queue depth 16.
 target0:0:1: Beginning Domain Validation
 target0:0:1: asynchronous
 target0:0:1: wide asynchronous
 target0:0:1: FAST-80 WIDE SCSI 160.0 MB/s DT (12.5 ns, offset 31)
 target0:0:1: FAST-80 WIDE SCSI 160.0 MB/s DT (12.5 ns, offset 31)
 target0:0:1: Ending Domain Validation
SCSI device sdb: 142264000 512-byte hdwr sectors (72839 MB)
sdb: Write Protect is off
SCSI device sdb: drive cache: write through w/ FUA
SCSI device sdb: 142264000 512-byte hdwr sectors (72839 MB)
sdb: Write Protect is off
SCSI device sdb: drive cache: write through w/ FUA
 sdb: unknown partition table
sd 0:0:1:0: Attached scsi disk sdb
  Vendor: COMPAQ    Model: BF072863BA        Rev: HPB4
  Type:   Direct-Access                      ANSI SCSI revision: 03
 target0:0:2: tagged command queuing enabled, command queue depth 16.
 target0:0:2: Beginning Domain Validation
 target0:0:2: asynchronous
 target0:0:2: wide asynchronous
 target0:0:2: FAST-80 WIDE SCSI 160.0 MB/s DT (12.5 ns, offset 31)
 target0:0:2: FAST-80 WIDE SCSI 160.0 MB/s DT (12.5 ns, offset 31)
 target0:0:2: Ending Domain Validation
SCSI device sdc: 142264000 512-byte hdwr sectors (72839 MB)
sdc: Write Protect is off
SCSI device sdc: drive cache: write through w/ FUA
SCSI device sdc: 142264000 512-byte hdwr sectors (72839 MB)
sdc: Write Protect is off
SCSI device sdc: drive cache: write through w/ FUA
 sdc: unknown partition table
sd 0:0:2:0: Attached scsi disk sdc
  Vendor: COMPAQ    Model: BF072863BA        Rev: HPB4
  Type:   Direct-Access                      ANSI SCSI revision: 03
 target0:0:3: tagged command queuing enabled, command queue depth 16.
 target0:0:3: Beginning Domain Validation
 target0:0:3: asynchronous
 target0:0:3: wide asynchronous
 target0:0:3: FAST-80 WIDE SCSI 160.0 MB/s DT (12.5 ns, offset 31)
 target0:0:3: FAST-80 WIDE SCSI 160.0 MB/s DT (12.5 ns, offset 31)
 target0:0:3: Ending Domain Validation
SCSI device sdd: 142264000 512-byte hdwr sectors (72839 MB)
sdd: Write Protect is off
SCSI device sdd: drive cache: write through w/ FUA
SCSI device sdd: 142264000 512-byte hdwr sectors (72839 MB)
sdd: Write Protect is off
SCSI device sdd: drive cache: write through w/ FUA
 sdd: unknown partition table
sd 0:0:3:0: Attached scsi disk sdd
  Vendor: COMPAQ    Model: PROLIANT 7L7E*DB  Rev: 2.30
  Type:   Processor                          ANSI SCSI revision: 02
 target0:0:15: Beginning Domain Validation
scsi 0:0:15:0: phase change 6-7 6@40028fa0 resid=4.
 target0:0:15: asynchronous
 target0:0:15: Ending Domain Validation
Creating root device.
Mounting root filesystem.
mount: could not find filesystem '/dev/root'
Setting up other filesystems.
Setting up new root fs
setuproot: moving /dev failed: No such file or directory
no fstab.sys, mounting internal defaults
setuproot: error mounting /proc: No such filKernel panic - not syncing: 
Attempted to kill init!
e or directory
setuproot: error mounting /sys: No such file or  directory
Switching to new root and running init.
unmounting old /dev
unmounting old /proc
unmounting old /sys
switchroot: mount failed: No such file or directory
Comment 7 Prarit Bhargava 2006-09-20 08:47:14 EDT
Please run the following command on your initrd.img :

gzip -dc initrd.img | cpio -i --list

and put the output in this bug.

P.
Comment 8 Fabio Bettoni 2006-09-20 08:48:54 EDT
I tried to correct the modprobe.conf from first section to second section, 
reinstall latest kernel 2.6.17-1.2647.fc6 and it works again.

I wonder if problem was generated from some kernel installation script changing 
modprobe.conf or I did myself under some addictive substances.

------------------------------
alias scsi_hostadapter mptbase
alias scsi_hostadapter1 mptspi
alias scsi_hostadapter1 mptspi
alias scsi_hostadapter2 sym53c8xx
install mptscsih /sbin/modprobe --ignore-install mptscsih
install mptspi /sbin/modprobe --ignore-install mptspi
------------------------------
alias scsi_hostadapter mptbase
alias scsi_hostadapter1 mptscsih
alias scsi_hostadapter1 mptspi
alias scsi_hostadapter2 sym53c8xx
install mptscsih /sbin/modprobe --ignore-install mptscsih
install mptspi /sbin/modprobe --ignore-install mptspi
------------------------------
Comment 9 Fabio Bettoni 2006-09-20 08:50:39 EDT
[root@integrity ~]# gzip -dc /boot/efi/efi/redhat/initrd-2.6.17-1.2647.fc6.img| 
cpio -i --list
proc
sysroot
sys
dev
dev/rtc
dev/tty11
dev/tty1
dev/tty6
dev/ttyS3
dev/tty2
dev/tty5
dev/tty
dev/tty12
dev/tty3
dev/zero
dev/tty8
dev/ptmx
dev/ttyS1
dev/tty7
dev/ram0
dev/ram
dev/efirtc
dev/tty0
dev/tty10
dev/systty
dev/ttyS0
dev/ram1
dev/console
dev/mapper
dev/ttyS2
dev/tty4
dev/null
dev/tty9
init
lib
lib/scsi_mod.ko
lib/ehci-hcd.ko
lib/sym53c8xx.ko
lib/uhci-hcd.ko
lib/jbd.ko
lib/ext3.ko
lib/mptbase.ko
lib/mptscsih.ko
lib/sd_mod.ko
lib/ohci-hcd.ko
lib/scsi_transport_spi.ko
lib/mptspi.ko
sbin
etc
bin
bin/insmod
bin/modprobe
bin/nash
17856 blocks
Comment 10 Prarit Bhargava 2006-09-20 09:12:32 EDT
The inclusion of this line in your /etc/modules.conf seems to prevent the
addition of the mptscsih.ko to your initrd (at least it did in a quick test on
my system).

install mptscsih /sbin/modprobe --ignore-install mptscsih

It seems to have worked on your system.  I'm closing this out as NOTABUG.

P.

Note You need to log in before you can comment on or make changes to this bug.